Subject: Re: linux-next: build warning after merge of the final tree (in Linus' tree)

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 May 2013 08:25:27 +1000

Hi Eric,

On Wed, May 15, 2013 at 09:32:42AM -0400, Eric Paris wrote:
> On Wed, 2013-05-15 at 13:20 +1000, Stephen Rothwell wrote:
> > 
> > After merging the final tree, today's linux-next build (i386 defconfig)
> > produced this warning:
> > 
> > kernel/auditfilter.c: In function 'audit_data_to_entry':
> > kernel/auditfilter.c:426:3: warning: this decimal constant is unsigned only in ISO C90 [enabled by default]
> > 
> > Introduced by commit 780a7654cee8 ("audit: Make testing for a valid
> > loginuid explicit") from Linus' tree.
> 
> Thank you, I'll fix it up.  What am I likely missing that I don't see it
> on my builds?  I'm using gcc 4.8.  Is there a config option that enables
> additional warnings?

I don't think so, I am still using gcc 4.6 for this build but it is a
32 bit build ...

-- 
Cheers,
Stephen Rothwell